🗊Презентация RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse"

Нажмите для полного просмотра!
RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №1RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №2RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №3RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №4RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №5RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №6RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №7RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №8RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №9RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №10RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №11RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №12RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №13RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №14RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №15RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №16RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №17RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №18RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №19RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №20RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №21RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №22RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №23RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №24RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №25RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №26RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №27RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №28RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №29RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №30RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №31RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №32RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №33

Вы можете ознакомиться и скачать презентацию на тему RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse". Доклад-сообщение содержит 33 слайдов. Презентации для любого класса можно скачать бесплатно. Если материал и наш сайт презентаций Mypresentation Вам понравились – поделитесь им с друзьями с помощью социальных кнопок и добавьте в закладки в своем браузере.

Слайды и текст этой презентации


Слайд 1





RhinoScript 101 Creativity
"or how to do interesting things that are not easy to do with the mouse"
Описание слайда:
RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse"

Слайд 2





Nevermind the code…
' Copy And paste this code In your RhinoScript Editor (Tools  RhinoScript  Edit…)
' This Is a basic script To draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start With it
DrawCurve  ' this tells the program what subroutine To run
Sub DrawCurve ' this Is the code To Execute when “DrawCurve” Is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(1)  ' controlpoints is an array of 3-D points (see next slide)
	
	controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	controlpoints(1) = Array(10,5,15) ' x = 10, y = 5, z = 15
	
	Rhino.Print ( "Curve ID: " + Rhino.AddCurve(controlpoints) ) ' this draws the curve and prints its I.D.
	Rhino.Print ( "Sphere ID: " + Rhino.AddSphere (controlpoints(1), 1) ) ' this draws a sphere and prints its I.D.
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level
 
End Sub ' this is the end of the "DrawCurve" subroutine
Описание слайда:
Nevermind the code… ' Copy And paste this code In your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This Is a basic script To draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start With it DrawCurve ' this tells the program what subroutine To run Sub DrawCurve ' this Is the code To Execute when “DrawCurve” Is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(1) ' controlpoints is an array of 3-D points (see next slide) controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(10,5,15) ' x = 10, y = 5, z = 15 Rhino.Print ( "Curve ID: " + Rhino.AddCurve(controlpoints) ) ' this draws the curve and prints its I.D. Rhino.Print ( "Sphere ID: " + Rhino.AddSphere (controlpoints(1), 1) ) ' this draws a sphere and prints its I.D. Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine

Слайд 3


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №3
Описание слайда:

Слайд 4


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №4
Описание слайда:

Слайд 5





Hold on! What's an "array"?
Описание слайда:
Hold on! What's an "array"?

Слайд 6





An array is like a box
Описание слайда:
An array is like a box

Слайд 7





A box that holds 3D coordinates
Описание слайда:
A box that holds 3D coordinates

Слайд 8





' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(1)  ' controlpoints is an array of 3-D points (see next slide)
	
	controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	controlpoints(1) = Array(10,5,15) ' x = 10, y = 5, z = 15
	
	Rhino.Print ( "Curve ID: " + Rhino.AddCurve(controlpoints) ) ' this draws the curve and prints its I.D.
	Rhino.Print ( "Sphere ID: " + Rhino.AddSphere (controlpoints(1), 1) ) ' this draws a sphere and its I.D.
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level
 
End Sub ' this is the end of the "DrawCurve" subroutine
Описание слайда:
' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(1) ' controlpoints is an array of 3-D points (see next slide) controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(10,5,15) ' x = 10, y = 5, z = 15 Rhino.Print ( "Curve ID: " + Rhino.AddCurve(controlpoints) ) ' this draws the curve and prints its I.D. Rhino.Print ( "Sphere ID: " + Rhino.AddSphere (controlpoints(1), 1) ) ' this draws a sphere and its I.D. Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine

Слайд 9


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №9
Описание слайда:

Слайд 10





Now some randomness…
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(1)  ' controlpoints is an array of 3-D points (see next slide)
	controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	controlpoints(1) = Array(randomBetween(-10,10),randomBetween(-10,10),15) ' x = random, y = random, z = 15
	Rhino.Print ( "Curve ID: " + Rhino.AddCurve(controlpoints) ) ' this draws the curve and prints its I.D.
	Rhino.Print ( "Sphere ID: " + Rhino.AddSphere (controlpoints(1), 1) ) ' this draws a sphere and its I.D.
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level 
End Sub ' this is the end of the "DrawCurve" subroutine
Function randomBetween(min,max)  ' this is the code to generate random numbers between limits
     randomBetween = Rnd*(max-min)+min  ' returns a random number between the limits specified
End Function ' end of the randomness function
Описание слайда:
Now some randomness… ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(1) ' controlpoints is an array of 3-D points (see next slide) controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(randomBetween(-10,10),randomBetween(-10,10),15) ' x = random, y = random, z = 15 Rhino.Print ( "Curve ID: " + Rhino.AddCurve(controlpoints) ) ' this draws the curve and prints its I.D. Rhino.Print ( "Sphere ID: " + Rhino.AddSphere (controlpoints(1), 1) ) ' this draws a sphere and its I.D. Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine Function randomBetween(min,max) ' this is the code to generate random numbers between limits randomBetween = Rnd*(max-min)+min ' returns a random number between the limits specified End Function ' end of the randomness function

Слайд 11


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №11
Описание слайда:

Слайд 12





Now some recursion…
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(1)  ' controlpoints is an array of 3-D points (see next slide)
	Dim i
	For i=0 To 100
	   controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	   controlpoints(1) = Array(randomBetween(-10,10),randomBetween(-10,10),15) ' x = random, y = random, z = 15
	   Rhino.AddCurve controlpoints ' this draws the curve
	   Rhino.AddSphere controlpoints(1), 1  ' this draws a sphere
	Next
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level 
End Sub ' this is the end of the "DrawCurve" subroutine
Function randomBetween(min,max)  ' this is the code to generate random numbers between limits
     randomBetween = Rnd*(max-min)+min  ' returns a random number between the limits specified
End Function ' end of the randomness function
Описание слайда:
Now some recursion… ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(1) ' controlpoints is an array of 3-D points (see next slide) Dim i For i=0 To 100 controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(randomBetween(-10,10),randomBetween(-10,10),15) ' x = random, y = random, z = 15 Rhino.AddCurve controlpoints ' this draws the curve Rhino.AddSphere controlpoints(1), 1 ' this draws a sphere Next Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine Function randomBetween(min,max) ' this is the code to generate random numbers between limits randomBetween = Rnd*(max-min)+min ' returns a random number between the limits specified End Function ' end of the randomness function

Слайд 13


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №13
Описание слайда:

Слайд 14


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №14
Описание слайда:

Слайд 15


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №15
Описание слайда:

Слайд 16





More interesting curves…
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(2), i  ' controlpoints is an array of 3-D points (see next slide)
	For i=0 To 50
	   controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	   controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) 
	   controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) 
	   Rhino.AddCurve controlpoints, 2 ' this draws the curve of two degrees now
	   Rhino.AddSphere controlpoints(1), 0.25  ' this draws a small sphere at second point
	Next
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level 
End Sub ' this is the end of the "DrawCurve" subroutine
Function randomBetween(min,max)  ' this is the code to generate random numbers between limits
     randomBetween = Rnd*(max-min)+min  ' returns a random number between the limits specified
End Function ' end of the randomness function
Описание слайда:
More interesting curves… ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(2), i ' controlpoints is an array of 3-D points (see next slide) For i=0 To 50 controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) Rhino.AddCurve controlpoints, 2 ' this draws the curve of two degrees now Rhino.AddSphere controlpoints(1), 0.25 ' this draws a small sphere at second point Next Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine Function randomBetween(min,max) ' this is the code to generate random numbers between limits randomBetween = Rnd*(max-min)+min ' returns a random number between the limits specified End Function ' end of the randomness function

Слайд 17


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №17
Описание слайда:

Слайд 18


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №18
Описание слайда:

Слайд 19





' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(2), i  ' controlpoints is an array of 3-D points (see next slide)
	For i=0 To 50
	   controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	   controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) 
	   controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) 
	   Rhino.AddCurve controlpoints, 2 ' this draws the curve
	   Rhino.AddSphere controlpoints(1), 0.25  ' this draws a small sphere at second point
	   Rhino.AddSphere controlpoints(2), 0.75  ' this draws a big sphere at third point
	Next
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level 
End Sub ' this is the end of the "DrawCurve" subroutine
Function randomBetween(min,max)  ' this is the code to generate random numbers between limits
     randomBetween = Rnd*(max-min)+min  ' returns a random number between the limits specified
End Function ' end of the randomness function
Описание слайда:
' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(2), i ' controlpoints is an array of 3-D points (see next slide) For i=0 To 50 controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) Rhino.AddCurve controlpoints, 2 ' this draws the curve Rhino.AddSphere controlpoints(1), 0.25 ' this draws a small sphere at second point Rhino.AddSphere controlpoints(2), 0.75 ' this draws a big sphere at third point Next Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine Function randomBetween(min,max) ' this is the code to generate random numbers between limits randomBetween = Rnd*(max-min)+min ' returns a random number between the limits specified End Function ' end of the randomness function

Слайд 20


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №20
Описание слайда:

Слайд 21





Time for a challenge…
How do you achieve the following?
Описание слайда:
Time for a challenge… How do you achieve the following?

Слайд 22


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №22
Описание слайда:

Слайд 23





' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(3), i  ' controlpoints is an array of 3-D points (see next slide)
	For i=0 To 50
	   controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	   controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) 
	   controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) 
	   controlpoints(3) = Array(randomBetween(-10,10),randomBetween(-10,10),20) 
	   Rhino.AddCurve controlpoints, 3 ' this draws the curve
	   Rhino.AddSphere controlpoints(1), 0.25  ' this draws a small sphere at second point
	   Rhino.AddSphere controlpoints(2), 0.25  ' this draws a big sphere at third point
	   Rhino.AddSphere controlpoints(3), 0.75  ' this draws a big sphere at third point
	Next
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level 
End Sub ' this is the end of the "DrawCurve" subroutine
Function randomBetween(min,max)  ' this is the code to generate random numbers between limits
     randomBetween = Rnd*(max-min)+min  ' returns a random number between the limits specified
End Function ' end of the randomness function
Описание слайда:
' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(3), i ' controlpoints is an array of 3-D points (see next slide) For i=0 To 50 controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) controlpoints(3) = Array(randomBetween(-10,10),randomBetween(-10,10),20) Rhino.AddCurve controlpoints, 3 ' this draws the curve Rhino.AddSphere controlpoints(1), 0.25 ' this draws a small sphere at second point Rhino.AddSphere controlpoints(2), 0.25 ' this draws a big sphere at third point Rhino.AddSphere controlpoints(3), 0.75 ' this draws a big sphere at third point Next Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine Function randomBetween(min,max) ' this is the code to generate random numbers between limits randomBetween = Rnd*(max-min)+min ' returns a random number between the limits specified End Function ' end of the randomness function

Слайд 24


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №24
Описание слайда:

Слайд 25





Add another set of coordinates…
Описание слайда:
Add another set of coordinates…

Слайд 26





Rhino.Command "anycommand"
Shift + Rightclick any tool icon to see its _Command
Описание слайда:
Rhino.Command "anycommand" Shift + Rightclick any tool icon to see its _Command

Слайд 27


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №27
Описание слайда:

Слайд 28





' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' Copy and paste this code in your RhinoScript Editor (Tools   RhinoScript  Edit…)
' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point)
Option Explicit ' nevermind this, just make sure that your scripts always start with it
DrawCurve  ' this tells the program what subroutine to run
Sub DrawCurve ' this is the code to run when “DrawCurve” is called above
	Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code
	Dim controlpoints(3), i  ' controlpoints is an array of 3-D points (see next slide) 
	Dim strCmd, curveID
	For i=0 To 50
	   controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0
	   controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) 
	   controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) 
	   controlpoints(3) = Array(randomBetween(-10,10),randomBetween(-10,10),20) 
	   curveID = Rhino.AddCurve(controlpoints, 3) ' this draws the curve 
           Rhino.SelectObject(curveID)
           Rhino.Command "_Pipe " & 1.0 & " Enter "  & 1.0 & " Enter"
	Next
	Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen
  Rhino.ZoomExtents ' and this adjusts the zoom level 
End Sub ' this is the end of the "DrawCurve" subroutine
Function randomBetween(min,max)  ' this is the code to generate random numbers between limits
     randomBetween = Rnd*(max-min)+min  ' returns a random number between the limits specified
End Function ' end of the randomness function
Описание слайда:
' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' Copy and paste this code in your RhinoScript Editor (Tools  RhinoScript  Edit…) ' This is a basic script to draw a curve with fixed coordinates (Not very useful, but a good starting point) Option Explicit ' nevermind this, just make sure that your scripts always start with it DrawCurve ' this tells the program what subroutine to run Sub DrawCurve ' this is the code to run when “DrawCurve” is called above Call Rhino.enableRedraw(False) ' nevermind this, it speeds up the execution of the code Dim controlpoints(3), i ' controlpoints is an array of 3-D points (see next slide) Dim strCmd, curveID For i=0 To 50 controlpoints(0) = Array(0,0,0) ' x = 0, y = 0, z = 0 controlpoints(1) = Array(randomBetween(-5,5),randomBetween(-5,5),0) controlpoints(2) = Array(randomBetween(-10,10),randomBetween(-10,10),15) controlpoints(3) = Array(randomBetween(-10,10),randomBetween(-10,10),20) curveID = Rhino.AddCurve(controlpoints, 3) ' this draws the curve Rhino.SelectObject(curveID) Rhino.Command "_Pipe " & 1.0 & " Enter " & 1.0 & " Enter" Next Call Rhino.enableRedraw(True) ' nevermind this, it refreshes the screen Rhino.ZoomExtents ' and this adjusts the zoom level End Sub ' this is the end of the "DrawCurve" subroutine Function randomBetween(min,max) ' this is the code to generate random numbers between limits randomBetween = Rnd*(max-min)+min ' returns a random number between the limits specified End Function ' end of the randomness function

Слайд 29


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №29
Описание слайда:

Слайд 30


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №30
Описание слайда:

Слайд 31


RhinoScript 101 Creativity "or how to do interesting things that are not easy to do with the mouse", слайд №31
Описание слайда:

Слайд 32





After you add a curve, select it with:
After you add a curve, select it with:
       Rhino.SelectObject(curveID)
Then apply the command:
       Rhino.Command "_Pipe " & 1.0 & " Enter "  & 1.0 & " Enter"
Описание слайда:
After you add a curve, select it with: After you add a curve, select it with: Rhino.SelectObject(curveID) Then apply the command: Rhino.Command "_Pipe " & 1.0 & " Enter " & 1.0 & " Enter"

Слайд 33





Due next class…
Do something interesting of your own!
Описание слайда:
Due next class… Do something interesting of your own!



Похожие презентации
Mypresentation.ru
Загрузить презентацию